Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11983)
@@ -364,5 +364,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11983)
@@ -313,5 +313,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11983)
@@ -313,5 +313,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11983)
@@ -364,5 +364,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/namelist_cfg	(revision 11983)
@@ -351,5 +351,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 11983)
@@ -421,5 +421,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
@@ -449,8 +448,4 @@
 /
 !-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &nam_diadct    ! transports through some sections                       (default: OFF)
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 11983)
@@ -228,5 +228,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 11983)
@@ -222,5 +222,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11983)
@@ -392,5 +392,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 11983)
@@ -377,5 +377,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
@@ -405,8 +404,4 @@
 /
 !-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              (default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &nam_diadct    !   transports through some sections                     (default: OFF)
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 11983)
@@ -375,5 +375,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
 !!   namdct       transports through some sections                      ("key_diadct")
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
@@ -403,8 +402,4 @@
 /
 !-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              ("key_diaharm")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namdct        ! transports through some sections                       ("key_diadct")
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 11983)
@@ -178,5 +178,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/field_def_nemo-oce.xml	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/field_def_nemo-oce.xml	(revision 11983)
@@ -190,82 +190,4 @@
 
       </field_group> <!-- grid_T -->
-
-      <!-- Tides -->
-
-      <field_group id="Tides_T" grid_ref="grid_T_2D" operation="once" >
-        <!-- tidal composante -->
-        <field id="M2x"          long_name="M2 Elevation harmonic real part "                             unit="m"        />
-        <field id="M2y"          long_name="M2 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="S2x"          long_name="S2 Elevation harmonic real part "                             unit="m"        />
-        <field id="S2y"          long_name="S2 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="N2x"          long_name="N2 Elevation harmonic real part "                             unit="m"        />
-        <field id="N2y"          long_name="N2 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="K1x"          long_name="K1 Elevation harmonic real part "                             unit="m"        />
-        <field id="K1y"          long_name="K1 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="O1x"          long_name="O1 Elevation harmonic real part "                             unit="m"        />
-        <field id="O1y"          long_name="O1 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="Q1x"          long_name="Q1 Elevation harmonic real part "                             unit="m"        />
-        <field id="Q1y"          long_name="Q1 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="M4x"          long_name="M4 Elevation harmonic real part "                             unit="m"        />
-        <field id="M4y"          long_name="M4 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="K2x"          long_name="K2 Elevation harmonic real part "                             unit="m"        />
-        <field id="K2y"          long_name="K2 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="P1x"          long_name="P1 Elevation harmonic real part "                             unit="m"        />
-        <field id="P1y"          long_name="P1 Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="Mfx"          long_name="Mf Elevation harmonic real part "                             unit="m"        />
-        <field id="Mfy"          long_name="Mf Elevation harmonic imaginary part"                         unit="m"        />
-        <field id="Mmx"          long_name="Mm Elevation harmonic real part "                             unit="m"        />
-        <field id="Mmy"          long_name="Mm Elevation harmonic imaginary part"                         unit="m"        />
-      </field_group>
-	 
-      <field_group id="Tides_U" grid_ref="grid_U_2D" operation="once" >
-        <field id="M2x_u"        long_name="M2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="M2y_u"        long_name="M2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="S2x_u"        long_name="S2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="S2y_u"        long_name="S2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="N2x_u"        long_name="N2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="N2y_u"        long_name="N2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="K1x_u"        long_name="K1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="K1y_u"        long_name="K1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="O1x_u"        long_name="O1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="O1y_u"        long_name="O1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Q1x_u"        long_name="Q1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="Q1y_u"        long_name="Q1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="M4x_u"        long_name="M4 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="M4y_u"        long_name="M4 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="K2x_u"        long_name="K2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="K2y_u"        long_name="K2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="P1x_u"        long_name="P1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="P1y_u"        long_name="P1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Mfx_u"        long_name="Mf current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="Mfy_u"        long_name="Mf current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Mmx_u"        long_name="Mm current barotrope along i-axis harmonic real part "        unit="m/s"      />
-        <field id="Mmy_u"        long_name="Mm current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-      </field_group>
-	 
-      <field_group id="Tides_V" grid_ref="grid_V_2D" operation="once" >
-        <field id="M2x_v"        long_name="M2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="M2y_v"        long_name="M2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="S2x_v"        long_name="S2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="S2y_v"        long_name="S2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="N2x_v"        long_name="N2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="N2y_v"        long_name="N2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="K1x_v"        long_name="K1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="K1y_v"        long_name="K1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="O1x_v"        long_name="O1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="O1y_v"        long_name="O1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Q1x_v"        long_name="Q1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="Q1y_v"        long_name="Q1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="M4x_v"        long_name="M4 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="M4y_v"        long_name="M4 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="K2x_v"        long_name="K2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="K2y_v"        long_name="K2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="P1x_v"        long_name="P1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="P1y_v"        long_name="P1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Mfx_v"        long_name="Mf current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="Mfy_v"        long_name="Mf current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-        <field id="Mmx_v"        long_name="Mm current barotrope along j-axis harmonic real part "        unit="m/s"      />
-        <field id="Mmy_v"        long_name="Mm current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />	 
-      </field_group>
 
       <!-- OSMOSIS variables (available with ln_zdfosm=.true.) -->
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/namelist_ref	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SHARED/namelist_ref	(revision 11983)
@@ -1118,5 +1118,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
@@ -1176,14 +1175,4 @@
       ln_ariane   = .true.    !    Input with Ariane tool convention(T)
       ln_flo_ascii= .true.    !    Output with Ariane tool netcdf convention(F) or ascii file (T)
-/
-!-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              (default: OFF)
-!-----------------------------------------------------------------------
-    ln_diaharm = .false.   ! Choose tidal harmonic output or not
-       nit000_han = 1      !    First time step used for harmonic analysis
-       nitend_han = 75     !    Last time step used for harmonic analysis
-       nstep_han  = 15     !    Time step frequency for harmonic analysis
-       tname(1)   = 'M2'   !    Name of tidal constituents
-       tname(2)   = 'K1'   !              ---
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 11983)
@@ -349,5 +349,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11983)
@@ -1580,50 +1580,4 @@
 
 %% =================================================================================================
-\section[Harmonic analysis of tidal constituents (\texttt{\textbf{key\_diaharm}})]{Harmonic analysis of tidal constituents (\protect\key{diaharm})}
-\label{sec:DIA_diag_harm}
-
-\begin{listing}
-  \nlst{nam_diaharm}
-  \caption{\forcode{&nam_diaharm}}
-  \label{lst:nam_diaharm}
-\end{listing}
-
-A module is available to compute the amplitude and phase of tidal waves.
-This on-line Harmonic analysis is actived with \key{diaharm}.
-
-Some parameters are available in namelist \nam{_diaharm}{\_diaharm}:
-
- - \np{nit000_han}{nit000\_han} is the first time step used for harmonic analysis
-
- - \np{nitend_han}{nitend\_han} is the  last time step used for harmonic analysis
-
- - \np{nstep_han}{nstep\_han}  is the  time step frequency for harmonic analysis
-
-% - \np{nb_ana}{nb\_ana}     is the number of harmonics to analyse
-
- - \np{tname}{tname}       is an array with names of tidal constituents to analyse
-
- \np{nit000_han}{nit000\_han} and \np{nitend_han}{nitend\_han} must be between \np{nit000}{nit000} and \np{nitend}{nitend} of the simulation.
- The restart capability is not implemented.
-
- The Harmonic analysis solve the following equation:
-
- \[
-   h_{i} - A_{0} + \sum^{nb\_ana}_{j=1}[A_{j}cos(\nu_{j}t_{j}-\phi_{j})] = e_{i}
- \]
-
-With $A_{j}$, $\nu_{j}$, $\phi_{j}$, the amplitude, frequency and phase for each wave and $e_{i}$ the error.
-$h_{i}$ is the sea level for the time $t_{i}$ and $A_{0}$ is the mean sea level. \\
-We can rewrite this equation:
-
-\[
-  h_{i} - A_{0} + \sum^{nb\_ana}_{j=1}[C_{j}cos(\nu_{j}t_{j})+S_{j}sin(\nu_{j}t_{j})] = e_{i}
-\]
-
-with $A_{j}=\sqrt{C^{2}_{j}+S^{2}_{j}}$ and $\phi_{j}=arctan(S_{j}/C_{j})$.
-
-We obtain in output $C_{j}$ and $S_{j}$ for each tidal wave.
-
-%% =================================================================================================
 \section[Transports across sections (\texttt{\textbf{key\_diadct}})]{Transports across sections (\protect\key{diadct})}
 \label{sec:DIA_diag_dct}
Index: MO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/doc/namelists/nam_diaharm
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/doc/namelists/nam_diaharm	(revision 11982)
+++ 	(revision )
@@ -1,10 +1,0 @@
-!-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              (default: OFF)
-!-----------------------------------------------------------------------
-    ln_diaharm = .false.   ! Choose tidal harmonic output or not
-       nit000_han = 1      !    First time step used for harmonic analysis
-       nitend_han = 75     !    Last time step used for harmonic analysis
-       nstep_han  = 15     !    Time step frequency for harmonic analysis
-       tname(1)   = 'M2'   !    Name of tidal constituents
-       tname(2)   = 'K1'   !              ---
-/
Index: MO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/DIA/diaharm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/DIA/diaharm.F90	(revision 11982)
+++ 	(revision )
@@ -1,517 +1,0 @@
-MODULE diaharm 
-   !!======================================================================
-   !!                       ***  MODULE  diaharm  ***
-   !! Harmonic analysis of tidal constituents 
-   !!======================================================================
-   !! History :  3.1  !  2007  (O. Le Galloudec, J. Chanut)  Original code
-   !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and tracers variables
-   USE dom_oce         ! ocean space and time domain
-   USE phycst
-   USE daymod
-   USE tide_mod
-   USE sbctide         ! Tidal forcing or not
-   !
-   USE in_out_manager  ! I/O units
-   USE iom             ! I/0 library
-   USE ioipsl          ! NetCDF IPSL library
-   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE timing          ! preformance summary
-   USE lib_mpp           ! MPP library
-
-   IMPLICIT NONE
-   PRIVATE
-   
-   INTEGER, PARAMETER :: jpincomax    = 2.*jpmax_harmo
-   INTEGER, PARAMETER :: jpdimsparse  = jpincomax*300*24
-
-   !                         !!** namelist variables **
-   LOGICAL, PUBLIC ::   ln_diaharm    ! Choose tidal harmonic output or not
-   INTEGER         ::   nit000_han    ! First time step used for harmonic analysis
-   INTEGER         ::   nitend_han    ! Last time step used for harmonic analysis
-   INTEGER         ::   nstep_han     ! Time step frequency for harmonic analysis
-   INTEGER         ::   nb_ana        ! Number of harmonics to analyse
-
-   INTEGER , ALLOCATABLE, DIMENSION(:)       ::   name
-   REAL(wp), ALLOCATABLE, DIMENSION(:,:,:,:) ::   ana_temp
-   REAL(wp), ALLOCATABLE, DIMENSION(:)       ::   ana_freq, ut   , vt   , ft
-   REAL(wp), ALLOCATABLE, DIMENSION(:,:,:)   ::   out_eta , out_u, out_v
-
-   INTEGER ::   ninco, nsparse
-   INTEGER ,       DIMENSION(jpdimsparse)         ::   njsparse, nisparse
-   INTEGER , SAVE, DIMENSION(jpincomax)           ::   ipos1
-   REAL(wp),       DIMENSION(jpdimsparse)         ::   valuesparse
-   REAL(wp),       DIMENSION(jpincomax)           ::   ztmp4 , ztmp7
-   REAL(wp), SAVE, DIMENSION(jpincomax,jpincomax) ::   ztmp3 , zpilier
-   REAL(wp), SAVE, DIMENSION(jpincomax)           ::   zpivot
-
-   CHARACTER (LEN=4), DIMENSION(jpmax_harmo) ::   tname   ! Names of tidal constituents ('M2', 'K1',...)
-
-   PUBLIC   dia_harm        ! routine called by step.F90
-   PUBLIC   dia_harm_init   ! routine called by nemogcm.F90
-
-   !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$
-   !! Software governed by the CeCILL license (see ./LICENSE)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE dia_harm_init 
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE dia_harm_init  ***
-      !!         
-      !! ** Purpose :   Initialization of tidal harmonic analysis
-      !!
-      !! ** Method  :   Initialize frequency array and  nodal factor for nit000_han
-      !!
-      !!--------------------------------------------------------------------
-      INTEGER ::   jh, nhan, ji
-      INTEGER ::   ios                 ! Local integer output status for namelist read
-
-      NAMELIST/nam_diaharm/ ln_diaharm, nit000_han, nitend_han, nstep_han, tname
-      !!----------------------------------------------------------------------
-
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'dia_harm_init: Tidal harmonic analysis initialization'
-         WRITE(numout,*) '~~~~~~~ '
-      ENDIF
-      !
-      REWIND( numnam_ref )              ! Namelist nam_diaharm in reference namelist : Tidal harmonic analysis
-      READ  ( numnam_ref, nam_diaharm, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nam_diaharm in reference namelist' )
-      REWIND( numnam_cfg )              ! Namelist nam_diaharm in configuration namelist : Tidal harmonic analysis
-      READ  ( numnam_cfg, nam_diaharm, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_diaharm in configuration namelist' )
-      IF(lwm) WRITE ( numond, nam_diaharm )
-      !
-      IF(lwp) THEN
-         WRITE(numout,*) 'Tidal diagnostics = ', ln_diaharm
-         WRITE(numout,*) '   First time step used for analysis:         nit000_han= ', nit000_han
-         WRITE(numout,*) '   Last  time step used for analysis:         nitend_han= ', nitend_han
-         WRITE(numout,*) '   Time step frequency for harmonic analysis: nstep_han = ', nstep_han
-      ENDIF
-
-      IF( ln_diaharm .AND. .NOT.ln_tide )   CALL ctl_stop( 'dia_harm_init : ln_tide must be true for harmonic analysis')
-
-      IF( ln_diaharm ) THEN
-
-         CALL tide_init_Wave
-         !
-         ! Basic checks on harmonic analysis time window:
-         ! ----------------------------------------------
-         IF( nit000 > nit000_han )   CALL ctl_stop( 'dia_harm_init : nit000_han must be greater than nit000',   &
-            &                                       ' restart capability not implemented' )
-         IF( nitend < nitend_han )   CALL ctl_stop( 'dia_harm_init : nitend_han must be lower than nitend',   &
-            &                                       'restart capability not implemented' )
-
-         IF( MOD( nitend_han-nit000_han+1 , nstep_han ) /= 0 )   &
-            &                        CALL ctl_stop( 'dia_harm_init : analysis time span must be a multiple of nstep_han' )
-         !
-         nb_ana = 0
-         DO jh=1,jpmax_harmo
-            DO ji=1,jpmax_harmo
-               IF(TRIM(tname(jh)) == Wave(ji)%cname_tide) THEN
-                  nb_ana=nb_ana+1
-               ENDIF
-            END DO
-         END DO
-         !
-         IF(lwp) THEN
-            WRITE(numout,*) '        Namelist nam_diaharm'
-            WRITE(numout,*) '        nb_ana    = ', nb_ana
-            CALL flush(numout)
-         ENDIF
-         !
-         IF (nb_ana > jpmax_harmo) THEN
-            WRITE(ctmp1,*) ' nb_ana must be lower than jpmax_harmo'
-            WRITE(ctmp2,*) ' jpmax_harmo= ', jpmax_harmo
-            CALL ctl_stop( 'dia_harm_init', ctmp1, ctmp2 )
-         ENDIF
-
-         ALLOCATE(name    (nb_ana))
-         DO jh=1,nb_ana
-            DO ji=1,jpmax_harmo
-               IF (TRIM(tname(jh)) ==  Wave(ji)%cname_tide) THEN
-                  name(jh) = ji
-                  EXIT
-               END IF
-            END DO
-         END DO
-
-         ! Initialize frequency array:
-         ! ---------------------------
-         ALLOCATE( ana_freq(nb_ana), ut(nb_ana), vt(nb_ana), ft(nb_ana) )
-
-         CALL tide_harmo( ana_freq, vt, ut, ft, name, nb_ana )
-
-         IF(lwp) WRITE(numout,*) 'Analysed frequency  : ',nb_ana ,'Frequency '
-
-         DO jh = 1, nb_ana
-            IF(lwp) WRITE(numout,*) '                    : ',tname(jh),' ',ana_freq(jh)
-         END DO
-
-         ! Initialize temporary arrays:
-         ! ----------------------------
-         ALLOCATE( ana_temp(jpi,jpj,2*nb_ana,3) )
-         ana_temp(:,:,:,:) = 0._wp
-
-      ENDIF
-
-   END SUBROUTINE dia_harm_init
-
-
-   SUBROUTINE dia_harm ( kt )
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE dia_harm  ***
-      !!         
-      !! ** Purpose :   Tidal harmonic analysis main routine
-      !!
-      !! ** Action  :   Sums ssh/u/v over time analysis [nit000_han,nitend_han]
-      !!
-      !!--------------------------------------------------------------------
-      INTEGER, INTENT( IN ) :: kt
-      !
-      INTEGER  :: ji, jj, jh, jc, nhc
-      REAL(wp) :: ztime, ztemp
-      !!--------------------------------------------------------------------
-      IF( ln_timing )   CALL timing_start('dia_harm')
-      !
-      IF( kt >= nit000_han .AND. kt <= nitend_han .AND. MOD(kt,nstep_han) == 0 ) THEN
-         !
-         ztime = (kt-nit000+1) * rdt 
-         !
-         nhc = 0
-         DO jh = 1, nb_ana
-            DO jc = 1, 2
-               nhc = nhc+1
-               ztemp =(     MOD(jc,2) * ft(jh) *COS(ana_freq(jh)*ztime + vt(jh) + ut(jh))  &
-                  &    +(1.-MOD(jc,2))* ft(jh) *SIN(ana_freq(jh)*ztime + vt(jh) + ut(jh)))
-                  !
-               DO jj = 1,jpj
-                  DO ji = 1,jpi
-                     ! Elevation
-                     ana_temp(ji,jj,nhc,1) = ana_temp(ji,jj,nhc,1) + ztemp*sshn(ji,jj)*ssmask (ji,jj)        
-                     ana_temp(ji,jj,nhc,2) = ana_temp(ji,jj,nhc,2) + ztemp*un_b(ji,jj)*ssumask(ji,jj)
-                     ana_temp(ji,jj,nhc,3) = ana_temp(ji,jj,nhc,3) + ztemp*vn_b(ji,jj)*ssvmask(ji,jj)
-                  END DO
-               END DO
-               !
-            END DO
-         END DO
-         !       
-      END IF
-      !
-      IF( kt == nitend_han )   CALL dia_harm_end
-      !
-      IF( ln_timing )   CALL timing_stop('dia_harm')
-      !
-   END SUBROUTINE dia_harm
-
-
-   SUBROUTINE dia_harm_end
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE diaharm_end  ***
-      !!         
-      !! ** Purpose :  Compute the Real and Imaginary part of tidal constituents
-      !!
-      !! ** Action  :  Decompose the signal on the harmonic constituents 
-      !!
-      !!--------------------------------------------------------------------
-      INTEGER :: ji, jj, jh, jc, jn, nhan, jl
-      INTEGER :: ksp, kun, keq
-      REAL(wp) :: ztime, ztime_ini, ztime_end
-      REAL(wp) :: X1, X2
-      REAL(wp), DIMENSION(jpi,jpj,jpmax_harmo,2) ::   ana_amp   ! workspace
-      !!--------------------------------------------------------------------
-      !
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
-
-      ztime_ini = nit000_han*rdt                 ! Initial time in seconds at the beginning of analysis
-      ztime_end = nitend_han*rdt                 ! Final time in seconds at the end of analysis
-      nhan = (nitend_han-nit000_han+1)/nstep_han ! Number of dumps used for analysis
-
-      ninco = 2*nb_ana
-
-      ksp = 0
-      keq = 0        
-      DO jn = 1, nhan
-         ztime=( (nhan-jn)*ztime_ini + (jn-1)*ztime_end )/FLOAT(nhan-1)
-         keq = keq + 1
-         kun = 0
-         DO jh = 1, nb_ana
-            DO jc = 1, 2
-               kun = kun + 1
-               ksp = ksp + 1
-               nisparse(ksp) = keq
-               njsparse(ksp) = kun
-               valuesparse(ksp) = (   MOD(jc,2) * ft(jh) * COS(ana_freq(jh)*ztime + vt(jh) + ut(jh))   &
-                  &             + (1.-MOD(jc,2))* ft(jh) * SIN(ana_freq(jh)*ztime + vt(jh) + ut(jh)) )
-            END DO
-         END DO
-      END DO
-
-      nsparse = ksp
-
-      ! Elevation:
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            ! Fill input array
-            kun = 0
-            DO jh = 1, nb_ana
-               DO jc = 1, 2
-                  kun = kun + 1
-                  ztmp4(kun)=ana_temp(ji,jj,kun,1)
-               END DO
-            END DO
-
-            CALL SUR_DETERMINE(jj)
-
-            ! Fill output array
-            DO jh = 1, nb_ana
-               ana_amp(ji,jj,jh,1)=ztmp7((jh-1)*2+1)
-               ana_amp(ji,jj,jh,2)=ztmp7((jh-1)*2+2)
-            END DO
-         END DO
-      END DO
-
-      ALLOCATE( out_eta(jpi,jpj,2*nb_ana),   & 
-         &      out_u  (jpi,jpj,2*nb_ana),   &
-         &      out_v  (jpi,jpj,2*nb_ana)  )
-
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            DO jh = 1, nb_ana 
-               X1 = ana_amp(ji,jj,jh,1)
-               X2 =-ana_amp(ji,jj,jh,2)
-               out_eta(ji,jj,jh       ) = X1 * tmask_i(ji,jj)
-               out_eta(ji,jj,jh+nb_ana) = X2 * tmask_i(ji,jj)
-            END DO
-         END DO
-      END DO
-
-      ! ubar:
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            ! Fill input array
-            kun=0
-            DO jh = 1,nb_ana
-               DO jc = 1,2
-                  kun = kun + 1
-                  ztmp4(kun)=ana_temp(ji,jj,kun,2)
-               END DO
-            END DO
-
-            CALL SUR_DETERMINE(jj+1)
-
-            ! Fill output array
-            DO jh = 1, nb_ana
-               ana_amp(ji,jj,jh,1) = ztmp7((jh-1)*2+1)
-               ana_amp(ji,jj,jh,2) = ztmp7((jh-1)*2+2)
-            END DO
-
-         END DO
-      END DO
-
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            DO jh = 1, nb_ana 
-               X1= ana_amp(ji,jj,jh,1)
-               X2=-ana_amp(ji,jj,jh,2)
-               out_u(ji,jj,       jh) = X1 * ssumask(ji,jj)
-               out_u(ji,jj,nb_ana+jh) = X2 * ssumask(ji,jj)
-            ENDDO
-         ENDDO
-      ENDDO
-
-      ! vbar:
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            ! Fill input array
-            kun=0
-            DO jh = 1,nb_ana
-               DO jc = 1,2
-                  kun = kun + 1
-                  ztmp4(kun)=ana_temp(ji,jj,kun,3)
-               END DO
-            END DO
-
-            CALL SUR_DETERMINE(jj+1)
-
-            ! Fill output array
-            DO jh = 1, nb_ana
-               ana_amp(ji,jj,jh,1)=ztmp7((jh-1)*2+1)
-               ana_amp(ji,jj,jh,2)=ztmp7((jh-1)*2+2)
-            END DO
-
-         END DO
-      END DO
-
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            DO jh = 1, nb_ana 
-               X1=ana_amp(ji,jj,jh,1)
-               X2=-ana_amp(ji,jj,jh,2)
-               out_v(ji,jj,       jh)=X1 * ssvmask(ji,jj)
-               out_v(ji,jj,nb_ana+jh)=X2 * ssvmask(ji,jj)
-            END DO
-         END DO
-      END DO
-      !
-      CALL dia_wri_harm ! Write results in files
-      !
-   END SUBROUTINE dia_harm_end
-
-
-   SUBROUTINE dia_wri_harm
-      !!--------------------------------------------------------------------
-      !!                 ***  ROUTINE dia_wri_harm  ***
-      !!         
-      !! ** Purpose : Write tidal harmonic analysis results in a netcdf file
-      !!--------------------------------------------------------------------
-      CHARACTER(LEN=lc) :: cltext
-      CHARACTER(LEN=lc) ::   &
-         cdfile_name_T   ,   & ! name of the file created (T-points)
-         cdfile_name_U   ,   & ! name of the file created (U-points)
-         cdfile_name_V         ! name of the file created (V-points)
-      INTEGER  ::   jh
-      !!----------------------------------------------------------------------
-
-      IF(lwp) WRITE(numout,*) '  '
-      IF(lwp) WRITE(numout,*) 'dia_wri_harm : Write harmonic analysis results'
-      IF(lwp) WRITE(numout,*) '  '
-
-      ! A) Elevation
-      !/////////////
-      !
-      DO jh = 1, nb_ana
-      CALL iom_put( TRIM(tname(jh))//'x', out_eta(:,:,jh) )
-      CALL iom_put( TRIM(tname(jh))//'y', out_eta(:,:,nb_ana+jh) )
-      END DO
-
-      ! B) ubar
-      !/////////
-      !
-      DO jh = 1, nb_ana
-      CALL iom_put( TRIM(tname(jh))//'x_u', out_u(:,:,jh) )
-      CALL iom_put( TRIM(tname(jh))//'y_u', out_u(:,:,nb_ana+jh) )
-      END DO
-
-      ! C) vbar
-      !/////////
-      !
-      DO jh = 1, nb_ana
-         CALL iom_put( TRIM(tname(jh))//'x_v', out_v(:,:,jh       ) )
-         CALL iom_put( TRIM(tname(jh))//'y_v', out_v(:,:,jh+nb_ana) )
-      END DO
-      !
-   END SUBROUTINE dia_wri_harm
-
-
-   SUBROUTINE SUR_DETERMINE(init)
-      !!---------------------------------------------------------------------------------
-      !!                      *** ROUTINE SUR_DETERMINE ***
-      !!    
-      !!    
-      !!       
-      !!---------------------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   init 
-      !
-      INTEGER                         :: ji_sd, jj_sd, ji1_sd, ji2_sd, jh1_sd, jh2_sd
-      REAL(wp)                        :: zval1, zval2, zx1
-      REAL(wp), DIMENSION(jpincomax) :: ztmpx, zcol1, zcol2
-      INTEGER , DIMENSION(jpincomax) :: ipos2, ipivot
-      !---------------------------------------------------------------------------------
-      !            
-      IF( init == 1 ) THEN
-         IF( nsparse > jpdimsparse )   CALL ctl_stop( 'STOP', 'SUR_DETERMINE : nsparse .GT. jpdimsparse')
-         IF( ninco   > jpincomax   )   CALL ctl_stop( 'STOP', 'SUR_DETERMINE : ninco .GT. jpincomax')
-         !
-         ztmp3(:,:) = 0._wp
-         !
-         DO jh1_sd = 1, nsparse
-            DO jh2_sd = 1, nsparse
-               nisparse(jh2_sd) = nisparse(jh2_sd)
-               njsparse(jh2_sd) = njsparse(jh2_sd)
-               IF( nisparse(jh2_sd) == nisparse(jh1_sd) ) THEN
-                  ztmp3(njsparse(jh1_sd),njsparse(jh2_sd)) = ztmp3(njsparse(jh1_sd),njsparse(jh2_sd))  &
-                     &                                     + valuesparse(jh1_sd)*valuesparse(jh2_sd)
-               ENDIF
-            END DO
-         END DO
-         !
-         DO jj_sd = 1 ,ninco
-            ipos1(jj_sd) = jj_sd
-            ipos2(jj_sd) = jj_sd
-         END DO
-         !
-         DO ji_sd = 1 , ninco
-            !
-            !find greatest non-zero pivot:
-            zval1 = ABS(ztmp3(ji_sd,ji_sd))
-            !
-            ipivot(ji_sd) = ji_sd
-            DO jj_sd = ji_sd, ninco
-               zval2 = ABS(ztmp3(ji_sd,jj_sd))
-               IF( zval2 >= zval1 )THEN
-                  ipivot(ji_sd) = jj_sd
-                  zval1         = zval2
-               ENDIF
-            END DO
-            !
-            DO ji1_sd = 1, ninco
-               zcol1(ji1_sd)               = ztmp3(ji1_sd,ji_sd)
-               zcol2(ji1_sd)               = ztmp3(ji1_sd,ipivot(ji_sd))
-               ztmp3(ji1_sd,ji_sd)         = zcol2(ji1_sd)
-               ztmp3(ji1_sd,ipivot(ji_sd)) = zcol1(ji1_sd)
-            END DO
-            !
-            ipos2(ji_sd)         = ipos1(ipivot(ji_sd))
-            ipos2(ipivot(ji_sd)) = ipos1(ji_sd)
-            ipos1(ji_sd)         = ipos2(ji_sd)
-            ipos1(ipivot(ji_sd)) = ipos2(ipivot(ji_sd))
-            zpivot(ji_sd)        = ztmp3(ji_sd,ji_sd)
-            DO jj_sd = 1, ninco
-               ztmp3(ji_sd,jj_sd) = ztmp3(ji_sd,jj_sd) / zpivot(ji_sd)
-            END DO
-            !
-            DO ji2_sd = ji_sd+1, ninco
-               zpilier(ji2_sd,ji_sd)=ztmp3(ji2_sd,ji_sd)
-               DO jj_sd=1,ninco
-                  ztmp3(ji2_sd,jj_sd)=  ztmp3(ji2_sd,jj_sd) - ztmp3(ji_sd,jj_sd) * zpilier(ji2_sd,ji_sd)
-               END DO
-            END DO
-            !
-         END DO
-         !
-      ENDIF ! End init==1
-
-      DO ji_sd = 1, ninco
-         ztmp4(ji_sd) = ztmp4(ji_sd) / zpivot(ji_sd)
-         DO ji2_sd = ji_sd+1, ninco
-            ztmp4(ji2_sd) = ztmp4(ji2_sd) - ztmp4(ji_sd) * zpilier(ji2_sd,ji_sd)
-         END DO
-      END DO
-
-      !system solving: 
-      ztmpx(ninco) = ztmp4(ninco) / ztmp3(ninco,ninco)
-      ji_sd = ninco
-      DO ji_sd = ninco-1, 1, -1
-         zx1 = 0._wp
-         DO jj_sd = ji_sd+1, ninco
-            zx1 = zx1 + ztmpx(jj_sd) * ztmp3(ji_sd,jj_sd)
-         END DO
-         ztmpx(ji_sd) = ztmp4(ji_sd)-zx1
-      END DO
-
-      DO jj_sd =1, ninco
-         ztmp7(ipos1(jj_sd))=ztmpx(jj_sd)
-      END DO
-      !
-   END SUBROUTINE SUR_DETERMINE
-
-   !!======================================================================
-END MODULE diaharm
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/SBC/tide_mod.F90
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/SBC/tide_mod.F90	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/SBC/tide_mod.F90	(revision 11983)
@@ -13,6 +13,6 @@
    PRIVATE
 
-   PUBLIC   tide_harmo       ! called by tideini and diaharm modules
-   PUBLIC   tide_init_Wave   ! called by tideini and diaharm modules
+   PUBLIC   tide_harmo       ! called by tideini and diamlr modules
+   PUBLIC   tide_init_Wave   ! called by tideini module
 
    INTEGER, PUBLIC, PARAMETER ::   jpmax_harmo = 19   !: maximum number of harmonic
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/nemogcm.F90	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/nemogcm.F90	(revision 11983)
@@ -59,5 +59,4 @@
    USE diaobs         ! Observation diagnostics       (dia_obs_init routine)
    USE diacfl         ! CFL diagnostics               (dia_cfl_init routine)
-   USE diaharm        ! tidal harmonics diagnostics  (dia_harm_init routine)
    USE diamlr         ! IOM context management for multiple-linear-regression analysis
    USE step           ! NEMO time-stepping                 (stp     routine)
@@ -487,5 +486,4 @@
                            CALL dia_tmb_init    ! TMB outputs
                            CALL dia_25h_init    ! 25h mean  outputs
-                           CALL dia_harm_init   ! tidal harmonics outputs
      IF( ln_diaobs    )    CALL dia_obs( nit000-1 )   ! Observation operator for restart
                            CALL dia_mlr_init    ! Initialisation of IOM context management for multiple-linear-regression analysis
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step.F90
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step.F90	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step.F90	(revision 11983)
@@ -210,5 +210,4 @@
       IF( ln_diadct  )   CALL dia_dct ( kstp )        ! Transports
                          CALL dia_ar5 ( kstp )        ! ar5 diag
-      IF( ln_diaharm )   CALL dia_harm( kstp )        ! Tidal harmonic analysis
                          CALL dia_wri ( kstp )        ! ocean model: outputs
       !
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step_oce.F90
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step_oce.F90	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/src/OCE/step_oce.F90	(revision 11983)
@@ -79,5 +79,4 @@
    USE diahth          ! thermocline depth                (dia_hth routine)
    USE diahsb          ! heat, salt and volume budgets    (dia_hsb routine)
-   USE diaharm
    USE diacfl
    USE diaobs          ! Observation operator
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/field_def_nemo-oce.xml
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/field_def_nemo-oce.xml	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/field_def_nemo-oce.xml	(revision 11983)
@@ -110,82 +110,4 @@
          <field id="tpt_dep"      long_name="T-point depth"                  standard_name="depth_below_geoid"   unit="m"   grid_ref="grid_T_3D" />
          <field id="e3tdef"       long_name="T-cell thickness deformation"                                       unit="%"   grid_ref="grid_T_3D" />
-      </field_group>
-
-      <!-- Tides -->
-
-      <field_group id="Tides_T" grid_ref="grid_T_2D" operation="once" >
-         <!-- tidal composante -->
-         <field id="M2x"          long_name="M2 Elevation harmonic real part "                             unit="m"        />
-         <field id="M2y"          long_name="M2 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="S2x"          long_name="S2 Elevation harmonic real part "                             unit="m"        />
-         <field id="S2y"          long_name="S2 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="N2x"          long_name="N2 Elevation harmonic real part "                             unit="m"        />
-         <field id="N2y"          long_name="N2 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="K1x"          long_name="K1 Elevation harmonic real part "                             unit="m"        />
-         <field id="K1y"          long_name="K1 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="O1x"          long_name="O1 Elevation harmonic real part "                             unit="m"        />
-         <field id="O1y"          long_name="O1 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="Q1x"          long_name="Q1 Elevation harmonic real part "                             unit="m"        />
-         <field id="Q1y"          long_name="Q1 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="M4x"          long_name="M4 Elevation harmonic real part "                             unit="m"        />
-         <field id="M4y"          long_name="M4 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="K2x"          long_name="K2 Elevation harmonic real part "                             unit="m"        />
-         <field id="K2y"          long_name="K2 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="P1x"          long_name="P1 Elevation harmonic real part "                             unit="m"        />
-         <field id="P1y"          long_name="P1 Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="Mfx"          long_name="Mf Elevation harmonic real part "                             unit="m"        />
-         <field id="Mfy"          long_name="Mf Elevation harmonic imaginary part"                         unit="m"        />
-         <field id="Mmx"          long_name="Mm Elevation harmonic real part "                             unit="m"        />
-         <field id="Mmy"          long_name="Mm Elevation harmonic imaginary part"                         unit="m"        />
-      </field_group>
-	 
-      <field_group id="Tides_U" grid_ref="grid_U_2D" operation="once" >
-         <field id="M2x_u"        long_name="M2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="M2y_u"        long_name="M2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="S2x_u"        long_name="S2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="S2y_u"        long_name="S2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="N2x_u"        long_name="N2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="N2y_u"        long_name="N2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="K1x_u"        long_name="K1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="K1y_u"        long_name="K1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="O1x_u"        long_name="O1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="O1y_u"        long_name="O1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Q1x_u"        long_name="Q1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="Q1y_u"        long_name="Q1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="M4x_u"        long_name="M4 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="M4y_u"        long_name="M4 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="K2x_u"        long_name="K2 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="K2y_u"        long_name="K2 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="P1x_u"        long_name="P1 current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="P1y_u"        long_name="P1 current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Mfx_u"        long_name="Mf current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="Mfy_u"        long_name="Mf current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Mmx_u"        long_name="Mm current barotrope along i-axis harmonic real part "        unit="m/s"      />
-         <field id="Mmy_u"        long_name="Mm current barotrope along i-axis harmonic imaginary part "   unit="m/s"      />
-      </field_group>
-	 
-      <field_group id="Tides_V" grid_ref="grid_V_2D" operation="once" >
-         <field id="M2x_v"        long_name="M2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="M2y_v"        long_name="M2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="S2x_v"        long_name="S2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="S2y_v"        long_name="S2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="N2x_v"        long_name="N2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="N2y_v"        long_name="N2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="K1x_v"        long_name="K1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="K1y_v"        long_name="K1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="O1x_v"        long_name="O1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="O1y_v"        long_name="O1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Q1x_v"        long_name="Q1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="Q1y_v"        long_name="Q1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="M4x_v"        long_name="M4 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="M4y_v"        long_name="M4 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="K2x_v"        long_name="K2 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="K2y_v"        long_name="K2 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="P1x_v"        long_name="P1 current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="P1y_v"        long_name="P1 current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Mfx_v"        long_name="Mf current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="Mfy_v"        long_name="Mf current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />
-         <field id="Mmx_v"        long_name="Mm current barotrope along j-axis harmonic real part "        unit="m/s"      />
-         <field id="Mmy_v"        long_name="Mm current barotrope along j-axis harmonic imaginary part "   unit="m/s"      />	 
       </field_group>
 
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/CANAL/EXPREF/namelist_cfg	(revision 11983)
@@ -276,5 +276,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV2D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 11983)
@@ -202,5 +202,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ISOMIP/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ISOMIP/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/ISOMIP/EXPREF/namelist_cfg	(revision 11983)
@@ -273,5 +273,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 11983)
@@ -278,5 +278,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 11983)
@@ -294,5 +294,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 11983)
@@ -273,5 +273,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/VORTEX/EXPREF/namelist_cfg	(revision 11983)
@@ -264,5 +264,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default; OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/WAD/EXPREF/namelist_cfg	(revision 11982)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/tests/WAD/EXPREF/namelist_cfg	(revision 11983)
@@ -422,5 +422,4 @@
 !!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      (default: OFF)
-!!   nam_diaharm  Harmonic analysis of tidal constituents               (default: OFF)
 !!   nam_diadct   transports through some sections                      (default: OFF)
 !!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
